Subject: kicad cannot see libngspice

From: Christopher Howard <[email-masked]>
Date: Mon, 10 May 2021 09:58:05 -0800

In Kicad Eeschema, if I try to use the Tools >> Simulator menu entry, I
get an error in a pop-up window that libngspice cannot be found, and
then the whole Kicad application closes. I see that libngspice is a
dependency of kicad so I'm not quite sure what is wrong.

I asked at #kicad at they said that Kicad does not have any gui-
adjustable path settings for ngspice or libngspice, so I don't think I
have the application configured wrong.

Thank you,

Christopher Howard

christopher@theoden ~$ neofetch --stdout
christopher@theoden 
------------------- 
OS: Guix System 9ffa81fe64ee405e1a861b72a21bca966fcbc236 x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.11.18-gnu 
Uptime: 8 mins 
Packages: 92 (guix-system), 104 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: kitty 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: Intel HD Graphics 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
Memory: 1673MiB / 7871MiB

christopher@theoden ~$ guix describe
Generation 16	May 03 2021 09:42:36	(current)
  guix 9ffa81f
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 9ffa81fe64ee405e1a861b72a21bca966fcbc236